#!/usr/bin/env perl
use strict;
use warnings;

foreach my $classfile (glob "*.pm") {
  open my $F,$classfile or die $!;
  while (<$F>) {
    if (/^package (\S+);/) {
      print "\n$1\n";
    }
    elsif (/^sub (\S+)/) {
      print "    $1\n";
    }
  }
}
